VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT:
[legend]

## Public Member Functions

| ConditionalRenderingBeginInfoEXT (Buffer buffer_=Buffer(), DeviceSize offset_=0, ConditionalRenderingFlagsEXT flags_=ConditionalRenderingFlagsEXT())
| ConditionalRenderingBeginInfoEXT (VkConditionalRenderingBeginInfoEXT const &rhs)
ConditionalRenderingBeginInfoEXT & | operator= (VkConditionalRenderingBeginInfoEXT const &rhs)
ConditionalRenderingBeginInfoEXT & | setPNext (const void *pNext_)
ConditionalRenderingBeginInfoEXT & | setBuffer (Buffer buffer_)
ConditionalRenderingBeginInfoEXT & | setOffset (DeviceSize offset_)
ConditionalRenderingBeginInfoEXT & | setFlags (ConditionalRenderingFlagsEXT flags_)
| operator VkConditionalRenderingBeginInfoEXT const & () const
| operator VkConditionalRenderingBeginInfoEXT & ()
bool | operator== (ConditionalRenderingBeginInfoEXT const &rhs) const
bool | operator!= (ConditionalRenderingBeginInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
Buffer | buffer
DeviceSize | offset
ConditionalRenderingFlagsEXT | flags

## Private Attributes

StructureType | sType = StructureType::eConditionalRenderingBeginInfoEXT

## Detailed Description

Definition at line 36433 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ConditionalRenderingBeginInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::ConditionalRenderingBeginInfoEXT | ( | Buffer | buffer_ = `Buffer()`,
|  | DeviceSize | offset_ = `0`,
|  | ConditionalRenderingFlagsEXT | flags_ = `ConditionalRenderingFlagsEXT()`
| ) |  |

inline

Definition at line 36435 of file vulkan.hpp.

: buffer( buffer_ )
, offset( offset_ )
, flags( flags_ )
{
}

## ConditionalRenderingBeginInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::ConditionalRenderingBeginInfoEXT | ( | VkConditionalRenderingBeginInfoEXT const & | rhs | ) |

inline

Definition at line 36444 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ConditionalRenderingBeginInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkConditionalRenderingBeginInfoEXT &()

VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::operator VkConditionalRenderingBeginInfoEXT & | ( |  | ) |

inline

Definition at line 36483 of file vulkan.hpp.

{
return *reinterpret_cast<VkConditionalRenderingBeginInfoEXT*>(this);
}

## operator VkConditionalRenderingBeginInfoEXT const &()

VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::operator VkConditionalRenderingBeginInfoEXT const & | ( |  | ) | const

inline

Definition at line 36478 of file vulkan.hpp.

{
return *reinterpret_cast<const VkConditionalRenderingBeginInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::operator!= | ( | ConditionalRenderingBeginInfoEXT const & | rhs | ) | const

inline

Definition at line 36497 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ConditionalRenderingBeginInfoEXT& VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::operator= | ( | VkConditionalRenderingBeginInfoEXT const & | rhs | ) |

inline

Definition at line 36449 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ConditionalRenderingBeginInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::operator== | ( | ConditionalRenderingBeginInfoEXT const & | rhs | ) | const

inline

Definition at line 36488 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( buffer == rhs.buffer )
&& ( offset == rhs.offset )
&& ( flags == rhs.flags );
}

References buffer, flags, offset, pNext, and sType.

Referenced by operator!=().

## setBuffer()

ConditionalRenderingBeginInfoEXT& VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::setBuffer | ( | Buffer | buffer_ | ) |

inline

Definition at line 36460 of file vulkan.hpp.

{
buffer = buffer_;
return *this;
}

## setFlags()

ConditionalRenderingBeginInfoEXT& VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::setFlags | ( | ConditionalRenderingFlagsEXT | flags_ | ) |

inline

Definition at line 36472 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setOffset()

ConditionalRenderingBeginInfoEXT& VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::setOffset | ( | DeviceSize | offset_ | ) |

inline

Definition at line 36466 of file vulkan.hpp.

{
offset = offset_;
return *this;
}

## setPNext()

ConditionalRenderingBeginInfoEXT& VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 36454 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## buffer

Buffer VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::buffer

Definition at line 36507 of file vulkan.hpp.

Referenced by operator==().

## flags

ConditionalRenderingFlagsEXT VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::flags

Definition at line 36509 of file vulkan.hpp.

Referenced by operator==().

## offset

DeviceSize VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::offset

Definition at line 36508 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::pNext = nullptr

Definition at line 36506 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::sType = StructureType::eConditionalRenderingBeginInfoEXT

private

Definition at line 36503 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

offset
GLintptr offset
Definition: SDL_opengl_glext.h:538
VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:36503
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::ConditionalRenderingBeginInfoEXT
ConditionalRenderingBeginInfoEXT(Buffer buffer_=Buffer(), DeviceSize offset_=0, ConditionalRenderingFlagsEXT flags_=ConditionalRenderingFlagsEXT())
Definition: vulkan.hpp:36435
VkConditionalRenderingBeginInfoEXT
Definition: vulkan_core.h:6722
VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::operator==
bool operator==(ConditionalRenderingBeginInfoEXT const &rhs) const
Definition: vulkan.hpp:36488
VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::offset
DeviceSize offset
Definition: vulkan.hpp:36508
buffer
GLuint buffer
Definition: SDL_opengl_glext.h:533
VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::buffer
Buffer buffer
Definition: vulkan.hpp:36507
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::flags
ConditionalRenderingFlagsEXT flags
Definition: vulkan.hpp:36509
VULKAN_HPP_NAMESPACE::ConditionalRenderingBeginInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:36506